From: "David Roman" <davidroman96@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-lang/harec/
Date: Sat, 20 Jan 2024 22:13:16 +0000 (UTC) [thread overview]
Message-ID: <1705686390.6d40e4a7034e01107e546d82ff7093f9fa1dce97.davidroman@gentoo> (raw)
commit: 6d40e4a7034e01107e546d82ff7093f9fa1dce97
Author: Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Fri Jan 19 17:45:24 2024 +0000
Commit: David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Fri Jan 19 17:46:30 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6d40e4a7
dev-lang/harec-9999: Use ?= for CC/AS/LD values
Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>
dev-lang/harec/harec-9999.ebuild | 11 ++++++++++-
1 file changed, 10 insertions(+), 1 deletion(-)
diff --git a/dev-lang/harec/harec-9999.ebuild b/dev-lang/harec/harec-9999.ebuild
index 0abae65c87..269c09fcde 100644
--- a/dev-lang/harec/harec-9999.ebuild
+++ b/dev-lang/harec/harec-9999.ebuild
@@ -3,6 +3,8 @@
EAPI=8
+inherit toolchain-funcs
+
if [[ "${PV}" = "9999" ]]; then
inherit git-r3
EGIT_REPO_URI="https://git.sr.ht/~sircmpwn/harec"
@@ -27,7 +29,14 @@ src_prepare() {
default
cp configs/linux.mk config.mk || die
- sed -i 's/-Werror//' config.mk || die
+ sed -i \
+ -e 's/-Werror//' \
+ -e 's/CC =/CC ?=/' \
+ -e 's/AS =/AS ?=/' \
+ -e 's/LD =/LD ?=/' \
+ config.mk || die
+
+ tc-export CC AS LD
}
src_install() {
next reply other threads:[~2024-01-20 22:13 UTC|newest]
Thread overview: 16+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-01-20 22:13 David Roman [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-14 17:47 [gentoo-commits] repo/proj/guru:master commit in: dev-lang/harec/ Florian Schmaus
2024-07-14 17:47 Florian Schmaus
2024-02-29 13:56 David Roman
2024-02-29 13:56 David Roman
2024-02-29 13:56 David Roman
2024-01-20 22:13 David Roman
2024-01-16 13:54 David Roman
2023-08-17 5:15 Viorel Munteanu
2023-06-17 7:03 Viorel Munteanu
2022-09-28 16:05 Ronny Gutbrod
2022-09-28 16:05 Ronny Gutbrod
2022-08-11 13:45 Andrew Ammerlaan
2022-07-03 12:08 Andrew Ammerlaan
2022-06-24 13:24 Andrew Ammerlaan
2022-04-23 19:07 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1705686390.6d40e4a7034e01107e546d82ff7093f9fa1dce97.davidroman@gentoo \
--to=davidroman96@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox